Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Diagnostics Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

## http://www.bea.com/ns/weblogic/90/diagnostics
complexType wldf-instrumentation-monitorType

    {http://www.w3.org/2001/XMLSchema}anyType
      {http://www.bea.com/ns/weblogic/90/diagnostics}wldfType
          {http://www.bea.com/ns/weblogic/90/diagnostics}wldf-instrumentation-monitorType

Model
  `<...>
  name?, description?, enabled?, dye-mask?, dye-filtering-enabled?, properties?, action*, location-type?, pointcut?
  </...>`

Prohibited substitutions (block)
  none (extensions and restrictions are allowed)

Usage
  Derived types: none
  Components using this type: none

Documentation

  This interface defines a diagnostic monitor, which is applied at the specified locations within the included classes in an instrumentation scope.

  MBean: `WLDFInstrumentationMonitorBean`

Nested Element Summary
`string` | `name` optional The name of the WebLogic Diagnostic Framework (WLDF) bean.
`string` | `description` optional Optional description of this monitor.
`boolean` | `enabled` optional This interface defines a diagnostic monitor, which is applied at the specified locations within the included classes in an instrumentation scope.
`string` | `dye-mask` optional The dye mask for all diagnostic actions associated with this monitor.
`boolean` | `dye-filtering-enabled` optional This interface defines a diagnostic monitor, which is applied at the specified locations within the included classes in an instrumentation scope.
`string` | `properties` optional
`string` | `action` 0...∞ The diagnostic actions attached to this monitor.
`annonymous type derived from string` | `location-type` optional Attached actions are applied at selected locations: `before, `after, or `around pointcuts.```
`string` | `pointcut` optional The pointcut expression for this monitor.

Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Diagnostics Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

Version: 9.1